<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>agileboot</artifactId>
        <groupId>com.agileboot</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <modules>
        <module>wol-common-box</module>
        <module>wol-common-core</module>
        <module>wol-common-doc</module>
        <module>wol-common-web</module>
        <module>wol-common-mybatis</module>
        <module>wol-common-redis</module>
        <module>wol-common-json</module>
        <module>wol-common-satoken</module>
        <module>wol-common-nacos</module>
    </modules>
    <packaging>pom</packaging>

    <artifactId>agileboot-common</artifactId>

    <description>
        common通用工具
    </description>

    <dependencies>

        <!-- spring security 安全认证 -->
<!--        <dependency>-->
<!--            <groupId>org.springframework.boot</groupId>-->
<!--            <artifactId>spring-boot-starter-security</artifactId>-->
<!--        </dependency>-->

        <!-- 文件上传工具类 -->
<!--        <dependency>-->
<!--            <groupId>commons-fileupload</groupId>-->
<!--            <artifactId>commons-fileupload</artifactId>-->
<!--        </dependency>-->

        <!-- yml解析器 -->
<!--        <dependency>-->
<!--            <groupId>org.yaml</groupId>-->
<!--            <artifactId>snakeyaml</artifactId>-->
<!--        </dependency>-->

        <!-- Token生成与解析-->
<!--        <dependency>-->
<!--            <groupId>io.jsonwebtoken</groupId>-->
<!--            <artifactId>jjwt</artifactId>-->
<!--        </dependency>-->

        <!-- Jaxb -->
<!--        <dependency>-->
<!--            <groupId>javax.xml.bind</groupId>-->
<!--            <artifactId>jaxb-api</artifactId>-->
<!--        </dependency>-->

        <!-- redis 缓存操作 -->
<!--        <dependency>-->
<!--            <groupId>org.springframework.boot</groupId>-->
<!--            <artifactId>spring-boot-starter-data-redis</artifactId>-->
<!--        </dependency>-->

        <!-- 解析客户端操作系统、浏览器等 -->
<!--        <dependency>-->
<!--            <groupId>eu.bitwalker</groupId>-->
<!--            <artifactId>UserAgentUtils</artifactId>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>it.ozimov</groupId>-->
<!--            <artifactId>embedded-redis</artifactId>-->
<!--            &lt;!&ndash; 不排除掉slf4j的话 会冲突&ndash;&gt;-->
<!--            <exclusions>-->
<!--                <exclusion>-->
<!--                    <groupId>org.slf4j</groupId>-->
<!--                    <artifactId>slf4j-simple</artifactId>-->
<!--                </exclusion>-->
<!--                &lt;!&ndash;  排除掉guava依赖，以本项目的guava依赖为准 &ndash;&gt;-->
<!--                <exclusion>-->
<!--                    <groupId>com.google.guava</groupId>-->
<!--                    <artifactId>guava</artifactId>-->
<!--                </exclusion>-->
<!--            </exclusions>-->
<!--        </dependency>-->


        <!-- 多数据源 -->
<!--        <dependency>-->
<!--            <groupId>com.baomidou</groupId>-->
<!--            <artifactId>dynamic-datasource-spring-boot-starter</artifactId>-->
<!--        </dependency>-->

        <!--ENC加密-->
<!--        <dependency>-->
<!--            <groupId>com.github.ulisesbocchio</groupId>-->
<!--            <artifactId>jasypt-spring-boot-starter</artifactId>-->
<!--            <version>2.1.1</version>-->
<!--        </dependency>-->


    </dependencies>

</project>
